### Function

# RB sanitize_uri_for_filesystem

#### Declaration [src]

    char*
    rb_sanitize_uri_for_filesystem (
      const char* uri,
      const char* filesystem
    )

#### Description [src]

Removes characters from `uri` that are not allowed by the filesystem on which it would be stored, or a specific type of filesystem if specified. At present, this only supports MS DOS filesystems.

#### Parameters

`uri`

  Type: `const char*`

  A URI to sanitize.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`filesystem`

  Type: `const char*`

  A specific filesystem to sanitize for.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Sanitized copy of `uri`, must be freed by caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.